/*
 * JPA entity PK template
 */

package de.ivu.elect.business.wahlvorschlag.entity;

@javax.enterprise.inject.Vetoed
public class WahlvorschlagPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<WahlvorschlagPK> {

  private static final long serialVersionUID = 0L;

  public WahlvorschlagPK() {
    super();
  }

  public WahlvorschlagPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "WahlvorschlagPK:"+getId();
  }

  @Override
  public int compareTo(WahlvorschlagPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
